@font-face {
    font-family: 'Roboto Condensed';
    src: url('/local/templates/mazapark/fonts/RobotoCondensed-VariableFont_wght.ttf');
}

.tickets-page * {
    font-family: 'Roboto Condensed';
}

.ccontainer {
    max-width: 856px;
    margin: 0 auto;
}
@media screen and (max-width: 1024px) {
    .ccontainer {
        max-width: 632px;
    }

}
@media screen and (min-width: 768px) {
    .page__breadcrumbs {
        display: none!important;
    }
}
@media screen and (max-width: 767px) {
    .ccontainer {
        max-width: calc(100dvw - 32px);
    }
    .page__breadcrumbs {
        margin: 0!important;
    }
    .breadcrumbs {
        padding-top: 33px!important;
    }
    .breadcrumb {
        padding: 0!important;
        margin: 0!important;
    }
}



.tickets-title {
    font-family: Gilroy,sans-serif;
    color: #101010;
    font-size: 60px;
    line-height: 54px;
    font-weight: 800;
    text-transform: uppercase;
    
    margin-top: 80px;
    margin-bottom: 40px;
}

.tickets-section {
    margin-bottom: 24px;
}
.tickets-section-title {
    color: #101010;
    font-size: 24px;
    line-height: 30px;
    font-weight: 500;
    
    margin-bottom: 8px;
}
.tickets-section-subtitle {
    color: rgba(16, 16, 16, 0.6);
    font-size: 15px;
    line-height: 17px;
    font-weight: 400;
    display: block;

    margin-bottom: 8px;
}


/* date */
.tickets-date-slider {
    display: flex;
    overflow: hidden;

    position: relative;
}
.tickets-date-slider-decor-left {
    background: linear-gradient(270deg, rgba(255, 255, 255, 0) 0%, #FFFFFF 100%);

    position: absolute;
    left: 0;
    top: 38px;
    bottom: 0;
    height: 130px;
    width: 68px;
    z-index: 90;
    opacity: 0;
}
.tickets-date-slider-decor-right {
    background: linear-gradient(270deg, rgba(255, 255, 255, 0) 0%, #FFFFFF 100%);
    transform: rotate(180deg);

    position: absolute;
    right: 0;
    top: 38px;
    bottom: 0;
    height: 130px;
    width: 68px;
    z-index: 90;
    opacity: 0;
}
.tickets-date-slider-decor-left.active,
.tickets-date-slider-decor-right.active {
    opacity: 1;
}
.tickets-date-month {
    display: flex;
    flex-direction: column;
    width: fit-content;
}
.tickets-date-month-title {
    width: 100%;
    color: #101010;
    font-size: 24px;
    line-height: 30px;
    font-weight: 500;

    margin-bottom: 8px;
    position: relative;
}


.tickets-date-days {
    display: flex;
    gap: 8px;
    padding-bottom: 8px;
    width: fit-content;
}
.tickets-date-day {
    width: 88px;
    height: 122px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 12px;
    position: relative;
    background-color: #F6F6F6;

    cursor: pointer;

    transition: all .3s;
}
.tickets-date-day.active {
    background-color: #101010;

    transition: all .3s;
}
.tickets-date-day.disabled {
    opacity: 40%;

    transition: all .3s;
}
.tickets-date-day--weekends .tickets-date-day-num,
.tickets-date-day--weekends .tickets-date-day-title {
    color: #6508D8;
}


.tickets-date-day-num {
    color: #101010;
    font-size: 20px;
    line-height: 20px;
    font-weight: 500;

    transition: all .3s;
}
.tickets-date-day-title {
    color: #101010;
    font-size: 22px;
    line-height: 24px;
    font-weight: 600;
    text-transform: uppercase;

    transition: all .3s;
}
.tickets-date-day-discount {
    background-image: url('../img/tickets/tickets-dicsont-icon.svg');
    background-size: 100%;
    width: 32px;
    height: 18px;

    display: flex;
    align-items: center;
    justify-content: center;

    color: #101010;
    font-size: 12px;
    line-height: 14px;
    letter-spacing: -0.84px;
    font-weight: 700;

    position: absolute;
    bottom: -8px;
    left: calc(50% - 16px);
}

.tickets-date-day.active .tickets-date-day-num,
.tickets-date-day.active .tickets-date-day-title {
    color: #FFFFFF;
    transition: all .3s;
}
/* date end */















/* time */
.tickets-time {

}
.tickets-time-list {
    display: flex;
    gap: 8px;
}
.tickets-time-item {
    height: 48px;
    display: flex;
    padding-left: 12px;
    padding-right: 12px;
    background-color: #F6F6F6;
    cursor: pointer;

    display: flex;
    align-items: center;
    justify-content: center;
    
    color: #101010;
    font-size: 20px;
    line-height: 20px;
    font-weight: 500;

    transition: all .3s;
}
.tickets-time-item.active {
    background-color: #101010;
    color: #FFFFFF;

    transition: all .3s;
}
/* time end */


/* tickets */
.tickets-type-title {
    cursor: pointer;
    position: relative;
}
.tickets-type-title::after {
    content: '';
    width: 28px;
    height: 28px;
    display: block;
    background-image: url('../img/tickets/tickets-arrow-up.svg');
    transform: rotate(180deg);

    position: absolute;
    right: 0;
    top: calc(50% - 14px);
}
.tickets-type.active > .tickets-type-title::after {
    transform: rotate(0deg);
}
.tickets-type.active .tickets-type-list {
    display: flex;
    flex-direction: column;
}
.tickets-type-item {
    background-color: #F6F6F6;
    height: auto;
    padding-top: 32px;
    padding-bottom: 32px;
    padding-left: 24px;
    padding-right: 24px;
    margin-bottom: 8px;

    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 24px;
}
.tickets-type-item:last-of-type {
    margin-bottom: 0;
}
.tickets-type-item-text {

}
.tickets-type-item-title {
    color: #101010;
    font-size: 20px;
    line-height: 20px;
    font-weight: 500;

    display: block;
}
.tickets-type-item-subtitle {
    color: rgba(16, 16, 16, 0.6);
    font-size: 15px;
    line-height: 17px;
    font-weight: 400;
    display: block;

    margin-top: 8px;
}
.tickets-type-item-price-wrap {
    display: flex;
    align-items: center;
    gap: 24px;
}
.tickets-type-item-price {
    color: #101010;
    font-size: 20px;
    line-height: 20px;
    font-weight: 500;

    display: flex;
    flex-direction: column;

    position: relative;
}
.tickets-type-item-price--sale {
    color: #007AF2;
}
.tickets-type-item-price--old {
    color: rgba(16, 16, 16, 0.6);
    font-size: 16px;
    line-height: 18px;
    font-weight: 500;
    text-decoration: line-through;
    text-align: center;
    
    margin-top: 3px;
}
.tickets-type-item-price-discont {
    background-image: url('../img/tickets/tickets-dicsont-icon.svg');
    background-size: 100%;
    width: 32px;
    height: 18px;
    display: flex;
    align-items: center;
    justify-content: center;

    color: #101010;
    font-size: 12px;
    line-height: 14px;
    font-weight: 700;
    letter-spacing: -0.84px;

    position: absolute;
    top: -10px;
    right: -17px;
    transform: rotate(8deg);
}



.tickets-type-item-controls {
    display: flex;
    align-items: center;
    justify-content: center;
}
.tickets-type-item-decrement {
    width: 34px;
    height: 34px;
    background-image: url('../img/tickets/tickets-decrement.svg');
    cursor: pointer;
}
.tickets-type-item-increment {
    width: 34px;
    height: 34px;
    background-image: url('../img/tickets/tickets-increment.svg');
    cursor: pointer;
}


.tickets-type-item-count {
    color: #101010;
    font-size: 20px;
    line-height: 20px;
    font-weight: 500;
    text-align: center;

    min-width: 32px;
    margin-left: 4px;
    margin-right: 4px;
}
.tickets-type-item-count.limit {
    position: relative;
}
.tickets-type-item-count.limit::after {
    content: 'max';
    position: absolute;
    bottom: -20px;
    left: 0;
    right: 0;

    color: #FF3E3E;
    font-size: 12px;
    line-height: 14px;
    font-weight: 400;
}


.tickets-type-group-btn,
.tickets-type-group-btn span {
    width: 162px;
    height: 43px;
    position: relative;
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 16px;
    line-height: 19px;
    font-weight: 700;
    letter-spacing: 0;
}
.tickets-page .btn.tickets-type-group-btn > .btn__content {
    transform: translate(-2px, -2px)!important;
}
.tickets-type-group-btn-discont {
    background-image: url('../img/tickets/tickets-dicsont-icon.svg');
    background-size: 100%;
    display: flex!important;
    align-items: center!important;
    justify-content: center!important;

    color: #101010;
    font-size: 12px!important;
    line-height: 14px!important;
    letter-spacing: -0.84px!important;
    font-weight: 700!important;

    width: 32px!important;
    height: 18px!important;
    position: absolute!important;
    z-index: 3;
    top: -11px;
    right: -4px;
    transform: rotate(8deg);
}


.tickets-family-error{
    color: #FF3E3E;
    font-family: 'Roboto Condensed';
    font-size: 15px;
    line-height: 17px;
    font-weight: 400;
    letter-spacing: 0;
    margin-top: 16px;
    margin-bottom: 16px;
    text-align: center;
}

.tickets-type-family-price-wrap {
    gap: 72px;
}
.tickets-type-family-emodzi{
    display: flex;
    /* align-items: center; */
    gap: 16px;
}
.tickets-type-family-emodzi-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 2px;
}
.tickets-type-family-emodzi-item span {
    color: rgba(16, 16, 16, 0.6);
    font-family: 'Roboto Condensed';
    font-size: 16px;
    line-height: 20px;
    font-weight: 400;
    letter-spacing: 0;
}
@media screen and (max-width: 700px) {
    .tickets-type-family-price-wrap {
        gap: 57px;
    }
    .tickets-family-error{
        font-size: 12px;
        line-height: 14px;
        margin-top: 8px;
        margin-bottom: 8px;
    }
    .tickets-type-family-emodzi-item span {
        font-size: 12px;
        line-height: 14px;
    }
    .tickets-type-family-emodzi-item img {
        width: 20px;
        height: 20px;
    }
}
/* tickets end */



/* discounts */
.tickets-dicounts-title {
    margin-bottom: 0;
}



.tickets-discounts-slider {
    width: 100%;
    height: auto;
    overflow: hidden;
}

.tickets-discounts-slide {
    width: auto;
    height: 148px;
    padding: 12px;
}
.tickets-discounts-slide--10 {
    width: 243px;
    background-image: url('../img/tickets/discount-bg-10.svg');
}
.tickets-discounts-slide--20 {
    width: 281px;
    background-image: url('../img/tickets/discount-bg-20.svg');
}

.tickets-discounts-slide-title {
    font-size: 34px;
    line-height: 33px;
    font-weight: 500;
    margin-bottom: 8px;
}
.tickets-discounts-slide-subtitle {
    font-size: 21px;
    line-height: 21px;
    font-weight: 500;
    margin-bottom: 8px;
}
.tickets-discounts-slide-description {
    font-size: 16px;
    line-height: 18px;
    font-weight: 400;
}

.tickets-discounts-slide--10 .tickets-discounts-slide-title,
.tickets-discounts-slide--10 .tickets-discounts-slide-subtitle, .tickets-discounts-slide--10 .tickets-discounts-slide-description {
    color: #007AF2;
}

.tickets-discounts-slide--20 .tickets-discounts-slide-title,
.tickets-discounts-slide--20 .tickets-discounts-slide-subtitle,
.tickets-discounts-slide--20 .tickets-discounts-slide-description {
    color: #156F46;
}


.tickets-discount-decor-left {
    background: linear-gradient(270deg, rgba(255, 255, 255, 0) 0%, #FFFFFF 100%);

    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    height: 148px;
    width: 78px;

    opacity: 0;
}
.tickets-discount-decor-right {
    background: linear-gradient(270deg, rgba(255, 255, 255, 0) 0%, #FFFFFF 100%);

    position: absolute;
    right: 0;
    top: 0;
    bottom: 0;
    height: 148px;
    width: 78px;
    transform: rotate(180deg);
}
.tickets-discount-decor-left.active,
.tickets-discount-decor-right.active {
    opacity: 1;
    z-index: 10;
}
/* discounts end */






/* footer */
.tickets-footer {
    position: sticky;
    bottom: 0;
    left: 0;
    right: 0;
    height: 120px;
    padding-top: 22px;
    box-sizing: border-box;
    width: 100%;
    z-index: 91;
    box-sizing: border-box;
    background-color: #007AF2;
}



.tickets-footer-result {
    /* padding-top: 20px; */
    margin-bottom: 16px;

    display: flex;
    justify-content: space-between;
    align-items: center;
}
.tickets-footer-counter {
    color: #FFFFFF;
    font-size: 30px;
    line-height: 32px;
    font-weight: 700;

    display: flex;
    align-items: center;
    justify-content: center;

    position: relative;
}
.tickets-footer-counter::after {
    content: '';
    background-image: url('../img/tickets/ticket-icon.svg');
    background-size: 100%;
    width: 32px;
    height: 32px;
    display: block;
    margin-left: 8px;

    /* position: relative;
    right: 8px; */
}
.tickets-footer-sum-wrap {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 24px;
}
/* .tickets-footer-sum {
    color: #FFFFFF;
    font-size: 30px;
    line-height: 32px;
    font-weight: 700;

    margin-right: 24px;
} */

.tickets-footer-sum-value {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
    gap: 8px;
    position: relative;
}
.tickets-footer-sum-value-price {
    color: #FFFFFF;
    font-size: 30px;
    line-height: 32px;
    font-weight: 700;
    text-transform: uppercase;
    position: relative;

    /* margin-right: 24px; */
}
.tickets-footer-sum-value-price.green {
    color: #A0F637;
}
.tickets-footer-sum-value-bonus {
    color: #FF3E3E;
    font-size: 18px;
    line-height: 20px;
    font-weight: 500;
}
.tickets-footer-sum-value-old {
    color: rgba(255, 255, 255, 0.7);
    font-size: 22px;
    line-height: 24px;
    font-weight: 500;
    text-decoration: line-through;
    position: absolute;
    /* bottom: -20px; */
    left: calc(100% + 8px);
    margin-right: 24px;
}
.tickets-footer-sum-value-promocode-decor {
    color: #101010;
    font-size: 10px;
    line-height: 12px;
    font-weight: 700;
    letter-spacing: -0.7px;

    background-image: url('../img/tickets/tickets-dicsont-icon.svg');
    background-size: 100%;
    transform: rotate(8deg);
    width: 26px;
    height: 16px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: -9px;
    right: -8px;
    z-index: 1;

    display: none;
}
.tickets-footer-sum-value-promocode-decor.active {
    display: flex;
}

.tickets-footer-promocode-item {
    display: flex;
    gap: 8px;
    align-items: center;
    width: fit-content;
}
.tickets-footer-promocode-item-title {
    color: #A0F637;
}
.tickets-footer-promocode-item-close {
    background-image: url('../img/promocode-close-green.svg');
    width: 20px;
    height: 20px;
    background-size: 100%;
    cursor: pointer;
}



.tickets-footer-to-cart,
.tickets-footer-to-cart span {
    width: 56px;
    height: 56px;
    padding: 0;
    margin-top: 2px;

}
.tickets-page .tickets-footer-to-cart > .btn__content {
    transform: translate(-4px, -4px)!important;
}

.tickets-footer-to-cart-wrap {
    display: flex;
    gap: 16px;
    align-items: center;
}

.tickets-footer-promo-wrap {

}
.tickets-footer-promo {
    height: 56px;
    display: flex;
    align-items: center;

    position: relative;
}
.tickets-footer-promo input {
    width: 100%;
    border: none;
    outline: none;
    height: 56px;
    box-sizing: border-box;
    background-color: transparent;
    font-size: 20px;
    line-height: 22px;
    font-weight: 400;
    color: #FFFFFF;
    min-width: 284px;

    border-bottom: 1px solid rgba(255,255,255,0.4)
}
.tickets-footer-promo input::placeholder {
    color: rgba(255,255,255,0.8);
}
.tickets-footer-promo-submit {
    position: absolute;
    top: 0;
    right: 0;
    height: 55px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding-right: 0;

    color: #FFFFFF;
    font-size: 18px;
    line-height: 18px;
    font-weight: 400;
    letter-spacing: 0;
    text-transform: capitalize;
    background-color: #007af2;  
}
/* footer end */


.tickets-page .btn__content {
    transform: translate(-12px, -12px);
}

.tickets-footer-promo-error {
    color: red;
    font-size: 16px;
    line-height: 18px;
    font-weight: 400;
    margin-top: 4px;
    position: absolute;
}
.tickets-footer .tickets-footer-promo-error{
    color: #FFFFFF;
}
.basket-promocode .tickets-footer-promo-error{
    position: relative;
}

.slider-titles {
    width: 100%;
    overflow-y: auto;
    display: flex;
    position: relative;
    display: none;
}
.tickets-date-month-title {
    width: fit-content;
}
/* .tickets-date-days {
    position: relative;
}
.tickets-date-days::before {
    content: 'Oct';
    position: sticky;
    top: 0;
    left: 0;
} */

.tickets-footer-result--mobile {
    display: none;
}
.tickets-footer-result--desktop {
    display: flex;
}

@media screen and (min-width: 1024px) {
    .tickets-title {
        margin-top: 64px;
    }
}
@media screen and (min-width: 768px) {
    .tickets-title {
        margin-top: 48px;
    }
}
@media screen and (max-width: 768px) {
    .tickets-date-slider {
        margin-left: -16px;
        margin-right: -16px;
        padding-left: 16px;
        padding-right: 16px;
    }
    .tickets-time-list {
        padding-left: 16px;
        padding-right: 16px;
        margin-left: -16px;
        margin-right: -16px;
    }
    .tickets-date-slider-decor-left,
    .tickets-date-slider-decor-right {
        top: 24px;
        display: none!important;
    }
    .tickets-discount-decor-right,
    .tickets-discount-decor-left {
        display: none!important;
    }
    .tickets-discounts-slider {
        margin-left: -16px;
        margin-right: -16px;
        padding-left: 16px;
        padding-right: 16px;
        width: 100vw;
    }

    .tickets-footer-promo {
        height: 48px;
    }
    .tickets-footer-sum-value-old {
        font-size: 18px;
        line-height: 20px;
        margin-right: 16px;

        left: unset;
        bottom: -20px;
        margin-right: 0;
    }
    .tickets-footer-promocode-item-title {
        font-size: 20px;
        line-height: 20px;
    }
    .tickets-footer-promocode-item-close {
        width: 20px;
        height: 20px;
    }
    .tickets-footer-promo-error {
        font-size: 12px;
        line-height: 14px;
    }

    .tickets-footer {
        height: 180px;
        padding-top: 18px;
    }
    .tickets-footer-result--mobile {
        display: flex;
        flex-wrap: wrap;
    }
    .tickets-footer-result--desktop {
        display: none;
    }

    .tickets-footer-promo-wrap {
        width: 100%;
        margin-top: 6px;
    }
    .tickets-footer-sum-value-price {
        font-size: 26px!important;
    }
    .tickets-footer-result-inner{
        display: flex;
        justify-content: space-between;
        width: 100%;
    }
    .tickets-footer-result--transformed {
        .tickets-footer-to-cart{
            display: none;
        }
        .tickets-footer-result-inner{
            justify-content: center;
            gap: 10px;
        }
        .tickets-footer-counter,
        .tickets-footer-sum-value-price{
            font-size: 14px!important;
            line-height: 16px!important;
            opacity: 60%;
            order: 1;
        }
        .tickets-footer-counter::after{
            width: 13.5px!important;
            height: 9px!important;
            margin-left: 2px;
            opacity: 60%;
            margin-top: -6px;
        }
    }

    .tickets-footer-promo-submit {
        font-size: 16px;
        line-height: 16px;
        height: 47px;
    }
}
@media screen and (max-width: 700px) {
    .tickets-page {
        margin-top: 0;
        max-width: 100dvw;
        overflow: visible;
    }
    .tickets-title {
        display: none;
    }

    .tickets-date-month-title {
        font-size: 20px;
        line-height: 24px;
        margin-bottom: 8px;
    }
    .tickets-date-day {
        width: 56px;
        height: 90px;
        gap: 6px;
    }
    .tickets-date-day-num {
        font-size: 18px;
        line-height: 20px;
    }
    .tickets-date-day-title {
        font-size: 18px;
        line-height: 20px;
    }
    .tickets-date-day-discount {
        font-size: 10px;
        line-height: 12px;
    }

    .tickets-section-title {
        font-size: 20px;
        line-height: 24px;
        margin-bottom: 8px;
    }
    .tickets-time-list {
        gap: 4px;
    }
    .tickets-time-item {
        font-size: 16px;
        line-height: 26px;
        height: 42px;
    }

    .tickets-type-item {
        padding-left: 16px;
        padding-right: 16px;
        padding-top: 25px;
        padding-bottom: 25px;
    }
    .tickets-type-item-title {
        font-size: 14px;
        line-height: 14px;
    }
    .tickets-type-item-subtitle {
        font-size: 12px;
        line-height: 14px;
        margin-top: 4px;
    }
    .tickets-type-item-price {
        font-size: 18px;
        line-height: 20px;
        white-space: nowrap;
    }
    .tickets-type-item-price--old {
        font-size: 12px;
        line-height: 14px;
    }
    .tickets-type-item-decrement,
    .tickets-type-item-increment {
        width: 24px;
        height: 24px;
        background-size: 100%;
    }
    .tickets-type-item-count {
        font-size: 18px;
        line-height: 20px;
        margin-left: 0;
        margin-right: 0;
    }


    .tickets-type-group-btn, .tickets-type-group-btn span {
        width: 129px;
        height: 31px;

        font-size: 12px;
        line-height: 15px;
    }
    /* .tickets-type-group-btn-discont {
        top: -20px;
        right: 0;
    } */
    .tickets-page  .btn__content {
        transform: translate(-2px, -2px);
    }


    .tickets-discounts-slide {
        /* height: 112px; */
        height: auto;
    }
    .tickets-discounts-slide-title {
        font-size: 28px;
        line-height: 27px;
    }
    .tickets-discounts-slide-subtitle {
        font-size: 16px;
        line-height: 16px;
    }
    .tickets-discounts-slide-description {
        font-size: 12px;
        line-height: 14px;
    }
    .tickets-discounts-slide--10 {
        width: 234px;
        background-position: center;
    }



    .tickets-footer {
        /* height: 120px; */
    }
    .tickets-footer-result {
        margin-bottom: 0;
        /* padding-top: 12px; */
    }
    .tickets-footer-counter {
        font-size: 26px;
        line-height: 28px;
    }
    .tickets-footer-counter::after {
        margin-left: 5px;
        width: 28px;
        height: 28px;
    }
    .tickets-footer-sum {
        font-size: 26px;
        line-height: 28px;
        margin-right: 16px;
    }
    .tickets-footer-to-cart, .tickets-footer-to-cart span {
        width: 50px;
        height: 50px;
    }

    .tickets-footer-promo input {
        height: 48px;
        font-size: 16px;
        line-height: 18px;
        min-width: unset;
    }


    .page__content {
        padding-bottom: 0;
    }

    
}
@media screen and (max-width: 414px) {
    .tickets-date-days {
        gap: 4px;
    }
    .tickets-time-list {
        flex-wrap: nowrap;
        overflow-x: auto;
    }
    .tickets-time-item {
        white-space: nowrap;
    }
}